Regression: Broken (click-through) window decoration on some maximized windows

Reported by Simon Groot Bramel on 2013-03-21
548
This bug affects 108 people
Affects Status Importance Assigned to Milestone
Compiz
Critical
Sam Spilsbury
0.9.10
Critical
Christopher Townsend
compiz (Ubuntu)
Critical
Unassigned

Bug Description

I have an issue with compiz (compiled yesterday from launchpad, so 0.9.9.0) on my notebook with openSUSE 12.3 and KDE 4.10.

The window decorations break on maximized windows. I can not click any button. Instead the click goes trough to the desktop.
The windowborder is also broken.
On the right side of the screen I can see a thin line of my desktop. A screenshot is attached.

Funny: This is not only happening to mozilla windows but to some others as well: Dolphin and Filezilla for example.

The konsole, however can be maximized without a problem!

I've started the kde4-window-decorator from console. Here is it's output:

First: About 30 times this:
+++++++++++++++++
QPainter::begin: Paint device returned engine == 0, type: 2
QPainter::end: Painter not active, aborted
+++++++++++++++++

Window decorations are working and intact. Then: when I open Firefox maximized:
+++++++++++++++++
X Error: BadWindow (invalid Window parameter) 3
  Major opcode: 20 (X_GetProperty)
  Resource id: 0x2000142
+++++++++++++++++

The resource id changes from time to time.

Here are some hardware specs:

Athlon Dualcore QL 64 bit
Nvidia GeForce 8200M G (with nvidia drivers 310.40)

OpenSUSE 12.3 with latest updates.
Qt: 4.8.4
KDE: 4.10.00 "release 1"

The rest of compiz is working great, by the way. A crash here and there when activating many plugins but I could configure everything quite nicely.

Thank you guys - for this wonderful project.
I hope we can find the reason for this issue.

Related branches

lp:~mar-kolya/compiz/fix-for-1158267
Rejected for merging into lp:compiz/0.9.10
Christopher Townsend: Disapprove on 2013-09-06
Strelok (community): Needs Fixing on 2013-06-05
lp:~compiz-team/compiz/compiz.fix_1158267.update-tests
Merged into lp:compiz at revision 3787
PS Jenkins bot: Approve (continuous-integration) on 2013-09-06
Christopher Townsend: Approve on 2013-09-06
MC Return: Pending requested 2013-07-24
Daniel van Vugt: Pending requested 2013-07-24
Superseded for merging into lp:compiz/0.9.10
Daniel van Vugt: Resubmit on 2013-07-23
MC Return: Abstain on 2013-07-22
PS Jenkins bot: Approve (continuous-integration) on 2013-07-22
lp:~townsend/compiz/fix-lp1158267-0.9.10
Merged into lp:compiz/0.9.10 at revision 3787
Brandon Schaefer: Approve on 2013-09-06
PS Jenkins bot: Approve (continuous-integration) on 2013-09-06
Simon Groot Bramel (z-simon-l) wrote :
description: updated
Simon Groot Bramel (z-simon-l) wrote :

Guys, thanks for caring about "my" bug.

But it's definitely NOT a duplicate of 1158161!

I CAN mnimize, maximize or move ANY window - as long wasn't started maximized. The problem I described ONLY happens with maximized windows. The other bug report speaks of maximizing and minimizing to reproduce the problem.

In fact: Unmaximizing and remaximizing even FIXES my problem! After I go ALT-F5 on a window with broken decorations it works fine. Remaximizing is possible and there is NO error with the decorations after that. Only closing and reopening the window does reproduce the broken decorations.

As I've said: I have a different problem, than Mr. Neumayer has! Don't you think?

###################

@ Sam: Thanks for reviewing the decoation code. I would like to help you but I am a n00b when it comes to c++ or open GL programming :)

so long,

Simon

Simon Groot Bramel (z-simon-l) wrote :

good morning everyone,

another reason why I think this is not a duplication of 1158161: The fix for that bug didn't fix this one here!

It did change something: Decorations are no longer displaced and I can't see the small line of my Desktop at the side of a maximized window.

Still the buttons of the decoration do not work,

Still: unmaximizing SOLVES the problem temporarily (remaximizing is possible) - but only as long as the window isn't closed.

best regards,

simon

Colin Law (colin-law) wrote :

You should be able to unmark it as a duplicate by clicking on the '-' at the end of the line at the top saying "This bug report is a duplicate of ..."

Brendon Rapp (legion28) wrote :

This affects me too. Using Compiz with Xfce. If a window starts maximized, my click goes right through the window bar.

Unmaximizing (by right-clicking on the window button in the panel) and then re-maximizing fixes the problem.

Brendon Rapp (legion28) wrote :

Apologies for lack of version info in the last post.

I'm using Ubuntu 13.04 beta, Compiz 0.9.9.0.

Sam Spilsbury (smspillaz) wrote :

Hmm.

First of all, apologies for the dupe, this one came in at the same time as another one and they looked quite similar.

Secondly, I haven't been able to reproduce this one with lp:compiz . I'm running lp:compiz at the moment have have my placement strategy set to maximize all windows by default. Based on the descriptions here, this should trigger it, but it doesn't. I'm using gtk-window-decorator (not able to install kde4-window-decorator at the moment).

I did put in a fix for something quite similar some time ago (https://code.launchpad.net/~compiz-team/compiz/compiz.fix_1140505/+merge/152619) at least for the screenshot mentioned.

Can reporters have a look into whether or not this bug is still reproducible when using lp:compiz and second of all, if it is, run compiz --replace --debug ccp & , cause the bug to happen, and then run xwininfo -all on the target window that's having the problem. Paste the output in an attachment so I can have a look at it later.

Finally - I'm quite busy with uni work these days, so I don't have time to get to bugs for months at a time.

Simon Groot Bramel (z-simon-l) wrote :

Hi Sam,

thanks for caring despite your work.

I've applied your patch (using patch < b2a...txt). I had to manually enter the files to patch (two of them: src/window.cpp and tests/system/xorg-gtest/tests/compiz_xorg_gtest_configure_window.cpp). The patch somehow couldn't locate them...?

{I copied the patch file into the compiz directory created by "bzr lp:compiz".

However after applying the patch the problem unfortunately still occurs.

Maybe I've patched wrongly?

The patch asked me:
Reversed (or previously applied) patch detected! Assume -R?

It doesn't matter what I chose - neither of the answers gave me a satisfying result.

My "work-around" is: I've bound "unmaximize" and "maximize" to an easy to reach shortcut and either close the windows with ctrl+q or use the shortcuts (after that the decoration work).

This bug affects me as well. I have tried the r3659 build without success. I can reproduce on a fresh-created user by doing the following:

1. Run ccsm and disable the Unity plugin
2. Run a program and maximize it. Close the program.
3. Re-open the program, so that it opens in maximized state.
4. Try to click anywhere on the title bar. All clicks on the window's title bar are passed through to the whatever is directly beneath. This includes clicks for to the close button. Unfortunately this means I end up closing the wrong window quite often.

As others have mentioned, un-maximize and re-maximize the window through a panel of any sort (XFCE, AWN, whatever), and then clicks to the title bar are handled correctly.

I am attaching a tarball containing the following files:

1. compiz_debug_normal_works.txt : compiz debug output when launching a window in normal state
2. xwininfo_normal_works.txt : xwininfo -all output for a window launched in normal state
3. compiz_debug_maximized_broken.txt : compiz debug output when launching a window in maximized state (after a maximize, close, and reopen)
4. xwininfo_maximized_broken.txt : xwininfo -all output for a window launched in maximized state (maximize, close, reopen)

The window used here is Chrome, but it occurs for me with any program I have tested (Evolution, Firefox, Virtualbox, Nautilus, etc.)

I would be happy to test any additional patches, builds, or debugging steps. This is definitely one of those nuisance types of bugs.

I should mention that my testing was done with the gtk-window-decorator.

Iven Hsu (ivenvd) wrote :

Reproducible here with kde4-window-decorator. Marking confirmed.

PS: Glad to see someone other than me using kde4-window-decorator.

Changed in compiz:
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu):
status: New → Confirmed
Sami Jaktholm (sjakthol) on 2013-04-27
affects: ubuntu → compiz (Ubuntu)
Changed in compiz (Ubuntu):
status: New → Confirmed
Sami Jaktholm (sjakthol) wrote :

I can confirm this happens with gtk-window-decorator with the compiz in Raring and with trunk for all windows that are created maximized. Maybe there's a difference in the way compiz handles decorations in windows created maximized and window maximized by compiz right after creation...

Christian Ackermann (prdatur) wrote :

I can confirm too, i didn't saw this post so i created a bug report too.
if the developers want to see the bug report files please get them under https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/1173520

tecknomage (tecknode) wrote :

Also effects Ubuntu 13.04 running GNOME Fallback (aka GNOME Classic) environment.

ANY window *already* maximized, the [Close][Minimized][Unmaximize] buttons on window corners do not work.

In GNOME the all Context Menu options on Taskbar for the window do work, [Close][Minimize][Maximize/Unmaximize].

Christian Ackermann (prdatur) wrote :

is there a work around till they fixed it?

Christian: I'm not sure about workaround within compiz, but you could switch window managers. I switched to xfwm4 for the time being. I'm using gnome-session, so I created a /usr/share/applications/xfwm4.desktop and edited /usr/share/gnome-session/sessions/<mysession>.session, setting DefaultProvider-windowmanager=xfwm4.

Same as #15 for me.

Same as #15 also for me. Exactly same enviroment (Gnome fallback)

glennric (glennric) wrote :

This bug affects me as well. I built and installed the code from lp:compiz, and the problem is not resolved there. Furthemore other more evident bugs appear with that build. For instance bug #797186 is reinstigated. Also the gnome-panel is ignored for window placement.

glennric (glennric) wrote :

Here is the compiz debug output when running the lp:compiz branch.

glennric (glennric) wrote :

Here is the xwininfo output for an offending window when running the lp:compiz branch.

Dmitriy Kodanev (dkodanev) wrote :

I have this bug too. I use Xubuntu 13.04 and see all these troubles with title bar as people describe here.
I have to use Compiz because I want to watch video without tearing, and when I use Compiz, video is pretty smooth (not like when I use xfwm4).
Also I have laptop with Xubuntu 12.04 and there's no such a problem with title bar at all. Maybe it's time for me to downgrade...

I'm almost hesitant to say anything else regarding xfwm4, since I don't want to derail this bug report. However, if it saves you the effort of potentially downgrading/reinstalling your system, then you might want to try enabling compositing with xfwm4: Run xfwm4-tweaks-settings, click the 'Compositor' tab, and select 'Enable display compositing'.

dhenry (tfc-duke) wrote :

This is quite annoying because if you have a titlebar-deffective window on top of a maximized window which has a working title bar, the close action will go to the later instead of the visible one... and you will accidentally close the wrong window/application. It offen happens to me with the web browser :-/

This issue has serious negative effects on user experience.

Joel Pelaez Jorge (joelpelaez) wrote :

Same as #15 for me too. Using GNOME Fallback.

James83 (giacomopennella) wrote :

Same as #15 but with Cairo-dock session

glennric (glennric) wrote :

I realized that I forgot to add the -all flag to xwininfo for the data I posted before. So here is new compiz debug info and corresponding xwininfo (with the -all flag).

glennric (glennric) wrote :

I don't know if this helps or not, but I discovered that this issue does not occur if the use-metacity-theme option is disabled.

Where is this option?

Tchô

Le 16/05/13 15:13, glennric a écrit :
> I don't know if this helps or not, but I discovered that this issue does
> not occur if the use-metacity-theme option is disabled.
>

> issue does not occur if the use-metacity-theme option is disabled.
Confim this. But i of couse want to use Metacity theme :-/

> Where is this option?
Its dconf key: org/compiz/gwd/use-metacity-theme - uncheck it, problem dissapears. But you get ugly borders :-/

Simon Groot Bramel (z-simon-l) wrote :

And we KDE users cant use this Option, can we?
So, far away from being a workaround, unfortunately...

Roland Baudin (roland651651) wrote :

I can confirm the bug and it's 100% reproducible.

Here is a workaround: you can use devilspie (with its gui gdevilspie) to setup a rule that unmaximizes each window when starting an application. I tested it with a rule like this: unmaximize each window whose class is not equal to 'dummy'. Using such a rule, each starting application (whose window of course does not belongs to the class 'dummy') is unmaximized at startup and this avoids the issue.

You can set up gdevilspie to start the devilspie program at each session startup. However, beware that the gdevilspie package is buggy and that you'll have to apply a patch I submitted (here https://bugs.launchpad.net/ubuntu/+source/gdevilspie/+bug/1161594).

Hope this helps,
RB

D.Frolov (virus-i) wrote :

Also bug exist if lauch rdesktop without decoration (with option -D)
rdesktop -D ..........
windows of rdestop without decoration displaced. And after minimize and restore offset is added. :(

Doug Barton (dougb) wrote :

There is no need to add anything to compiz to do the workaround. Just use the Window Rules Plugin and set the Non maximizable windows rule. I only have a couple windows that give me problems, so I used the "Grab" feature to get the window classes, and ended up with a rule that looks like this: (class=sun-applet-PluginMain | class=Atasjni)

Would still like to see a real solution for this though ...

FortyM2 (fortym2) wrote :

In my case, after doing a full reset of GNOME and uninstalling completely all elements of Compiz, I've got the problem solved!

Simon Groot Bramel (z-simon-l) wrote :

yes, that surely solves the problem because compiz does no longer paint your windows. Yet still this "workaround" is like solving a problem with your car's breakes by buying a new one...
of course I can use kwin instead of compiz and have usable decorations but I WANT to have real 3D, DesktopCube, Animations, Ringswitcher and so on.

I simply unmaximized and closed every window so that they don't get started maximized.

Strangely enough this bug does not seem to happen if you disable ¨workarounds" in the "Place Windows" plugin.
At least for me it solved the issue.

glennric (glennric) wrote :

Disabling or enabling the "workarounds" checkbox in the "Place Windows" plugin has no effect on this bug at all for me.

Strelok (who-) wrote :

Well, developers does not care about this bug. I do some researches about it.
- After i downgrade to revision r3632 of compiz, *bug was gone*. But i saw this bug #1140505. Its regression of r3623.
- I downgrade to r3622 of compiz. It have another annoying bug with "unnamed windows": bug #1141079 - this bug is regression of r3606.
- So, i downgrade to r3605... and all seems works fine. Ok, maybe i have one small bug with windows flickers then maximize/minimize (don't remember number)... but its does not care :)

So, this is my workaround, use it on your OWN RISK:
- Install bazaar:
sudo apt-get install bzr
- Clone launchpad repository of compiz:
bzr branch lp:compiz/0.9.9
- Change dir to new directory. Get revision "without" bugs:
bzr branch -r 3605 . ../compiz_r3605
- Change dir to compiz_r3605 directory.
- We need to build it. I used chroot'ed fresh Ubuntu 13.04 for it, because i don't need garbage in my system. So, prepare build system (by himself) and install dependencies:
sudo apt-get build-dep compiz
- Build package:
debuild -uc -us
- After build, change dir to build dir (its parent) and install new packages. This enough:
sudo dpkg -i compiz_0.9.9*.deb compiz-core_0.9.9*.deb compiz-plugins-default_0.9.9* compiz-plugins_0.9.9* libcompizconfig0_0.9.9*.deb libdecoration0_0.9.9* compiz-gnome_0.9.9*
If you having trouble with dependences, try execute this 2-3 times.
- Ok, now you system have old revision of compiz and don't have this annoying bug. Reboot computer or relogin.
- Maybe you want to hold this versions from upgrade. So, use Internet to find how.

So i think this bug is regression of r3633.

Changed in compiz:
assignee: nobody → Sam Spilsbury (smspillaz)
milestone: none → 0.9.10.0
MC Return (mc-return) on 2013-06-21
Changed in compiz:
importance: Undecided → Critical
summary: - broken (click-trhough) window decoration on some maximized windows
+ Regression: Broken (click-through) window decoration on some maximized
+ windows
Omer Akram (om26er) on 2013-06-28
Changed in compiz (Ubuntu):
importance: Undecided → Critical
tags: added: patch
Changed in compiz:
milestone: 0.9.10.0 → 0.9.10.2
MC Return (mc-return) on 2013-07-24
Changed in compiz:
milestone: 0.9.10.2 → 0.9.11.0
53 comments hidden view all 133 comments
Simon Groot Bramel (z-simon-l) wrote :

Hi Iven,

yes, the error does not have anything to do with this bug but since I was complaining about not being able to compile compiz (and therefore not being able to see if this bug has been fixed) I thought I should at least post I worked around it.

Now that I know your news I'd rather try upgrading to KDE 4.11

Do you really have to spend time on a workaround to make compiz compile with a KDE version which will be old in a few weeks? :)

thank you for your time.

Iven Hsu (ivenvd) wrote :

@Simon, I'll only try to fix it if anyone files a bug about that. :)

dentaku65 (dentaku65) wrote :

The Kolya fix works fine here
https://code.launchpad.net/~mar-kolya/compiz/fix-for-1158267

My box:
Xubuntu Raring + emerald (via webupd8 PPA)

Steps that I did:
mkdir compiz_fix
cd compiz_fix
sudo apt-get install bzr
bzr branch lp:~mar-kolya/compiz/fix-for-1158267
cd fix-for-1158267
sudo apt-get build-dep compiz
debuild -uc -us
cd ..
sudo dpkg -i *.deb

Please be aware to run ccsm BEFORE tu run compiz and in ccsm choose your configuration/plugins (after the installation of deb compiled the plugins are all unselected)

Then run compiz:
compz --replace &

Vladimir (volnes88) wrote :

this bug affect me too
Xubuntu Raring + Compiz 0.9.10.2
Configuration of my laptop :Intel(R) Core(TM) i3-2310M CPU @ 2.10GHz , 8GB RAM 1333Mhz, Nvidia GT540M

Later i will test fix from The Kolya

Xander Shepherd (xtothat) wrote :

Affected by this bug - applied Kolya fix using process described by dentaku65, and it is no longer an issue.

System spec:
OS: Xubuntu Raring + Compiz 0.9.9 (original), 0.9.10 (fixed)
Laptop: Dell XPS L702
Chipset: Intel(R) Core(TM) i7-2670QM CPU @ 2.20GHz
GPU0: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)
GPU1: NVIDIA Corporation GF116M [GeForce GT 555M]
Drivers: nvidia-304/bumblebee & i915

Felix Moreno (info-justdust) wrote :

Still not fixed in regular ubuntu 13.04, we are one month to ubuntu 13.10, and also other problems in ubuntu 13.04 still not fixed like gnome-panel bugs... :( i didn't move my computers to 13.04 because nobody fixed this and other bugs oficially...i hope they will be fixed in 13.10 or i will keep my 12.10 a few more years...

Changed in compiz:
status: Confirmed → In Progress
PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:compiz at revision None, scheduled for release in compiz, milestone 0.9.11.0

Changed in compiz:
status: In Progress → Fix Committed

I can confirm the bug being fixed with 0.9.11!

Thanks for your work, devs

best regards,

simon

PS Jenkins bot (ps-jenkins) wrote :

Fix committed into lp:compiz/0.9.10 at revision None, scheduled for release in compiz, milestone 0.9.10.2

Hardkorova (hardkorova) wrote :

in my case this bug repeated three times:
 one after upgrade 12.04 - 12.10 - 13.04, in May 2013
 second - after clean install on the same PC, in Sept. 2013
 third - after clean install on other PC with different configuration, today

today bug shows only after these commands and reboot: apt-get upgrade && sudo apt-get install bleachbit synaptic vlc cairo-dock

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.10+13.10.20130920-0ubuntu1

---------------
compiz (1:0.9.10+13.10.20130920-0ubuntu1) saucy; urgency=low

  [ Chris Townsend ]
  * Work done by Sam Spilsbury: - Ensure that the frame region is always
    set as soon as the window is decorated. - Further ensure that the
    window decoration isn't needlessly reset if the window already had
    one. - Refactored XShape usage into a common function. - Added tests
    to verify the behaviour of shape set on initially creating a
    decorated window and also upon changing the input frame window
    shape. (LP: #1158267)
  * Alt-Tabbing or Launcher selecting a window that is over 50% in a
    different viewport should not switch the viewport nor change the
    placement of the window. The fix is to add an option to turn this
    behavior on or off. By default, the option is on, but Ubuntu is
    patched to turn it off to fix this bug. (LP: #1092323)

  [ Marco Trevisan (Treviño) ]
  * debian/patches/ubuntu-config.patch: remove grid custom keybindings
    for window management We handle these directly in unity. (LP:
    #992697)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 3789
 -- Ubuntu daily release <email address hidden> Fri, 20 Sep 2013 11:18:01 +0000

Changed in compiz (Ubuntu):
status: Confirmed → Fix Released
Photon (michael-kogan) wrote :

Will this be backported to Quantal?

TheUbuntuNoob (emil--1) wrote :

Will it also be backported to ringtail, I'm not feeling up for another hell with configuring gnome to the system >_>

dimovnike (dimovnike) wrote :

Hi, i upgraded to saucy from ringtail and something like this appeared. The difference here is that windows doesnt have to be maximized. It happens on normal windows from time to time. I cpouldn't find out what triggers it but it happens on all windows. Should I report a new bug for this?

Anand (acpadhi-1) wrote :

Here are my findings.

System Config :

OS : 13.04 (Unity, gnome 3.6)
Driver : Nvidia Latest Proprietary
Themes : Ambiance

These steps will reproduce the issue :
1) Install Fresh 13.04
2) Install gnone-classic (fallback)
3) Install CCMS
4) Enable Static Switcher
5) Install Unity Tweak Too
6) Set Window controls to right side instead of Left Side
7) Open any application in Maximized mode. If Applications open in non-maximized mode, then open the app, maximize it, close it and then reopen it.
8) Try to close the application using Window Control in Right side.

You will notice that The application does not have focus at all, and if you try to close the app, it will simply close any maximized windows in its back. Basically, clicking the title bar actually shifts focus to the application behind it, instead of the the one in front.

So far I have found 2 workarounds :

1) Get a lower version of Compiz source and compile and install. In some forums people have left instructions on how to do it.
2) Install one of Mediterranean Themes. Is you use one of these themes, the bug vanishes magically.

Here is what I think :

It is a Bug either in Compiz or the Ambiance Theme settings itself. Or some issues which get activated with the combination.
So if someone can compare and diff between the themes Ambiance and Mediterranean, the issue or fix could be figured out.

Also, please notice that when using the Ambiance theme, The Applications and Places text in the top panel are attached to each other and there is no gap between text of both. Whereas in Mediterranean they are separated which is how it should be.

Krzysztof (gnom1gnom) wrote :

Status for Ubuntu says - Fix Released - how can I install this fix? This bug is driving me crazy!

@Krzysztof,

It's Fixed Released for the current development version of Ubuntu which is 13.10. An SRU would need to be done for 13.04 for this fix and that is up to Distro to take it.

Krzysztof (gnom1gnom) wrote :

@Christopher Townsend
"An SRU would need to be done for 13.04" - and what's the status of this - is it "in progress" or do we have to request it first?

Anand (acpadhi-1) wrote :

Can someone please explain why the issue seems fixed by using the Mediterranean theme ?

If it was a bug, then why it affects the Ambiance theme and not the Mediterranean Themes ?
I would love to use the Ambiance theme but this bug is just not helping me. Forced to use the Mediterranean which is good, but the buttons really are too 3d compared to the elegance of the Ambiance theme

Raúl Santos (borfast) wrote :

Are there any plans to fix this in 13.04? I will gladly pay a bounty to have it fixed. It's driving me crazy!

ctrl (dario-dariocorti) wrote :

I don't know if it was a wise move.. anyway I added this ppa https://launchpad.net/~smspillaz/+archive/compiz-dev-raring/, updated compiz to the current experimental-not-guaranteed-to-work-don't-use-this version and set a hold on compiz package. It seems to work well and this nasty bug is gone.

You can wait and see.

I do not think there should be any problem.

In any case, this repo has version which is claimed to have fixed this
issue.
I have a laptop too which has 12.04 and had used this kind of an
experimental PPA and it is working well so far.

Good Luck,

BTW, check out the gala window manager, amazingly fast and lovely smooth
animations.

On Sat, Sep 28, 2013 at 11:35 PM, ctrl <email address hidden> wrote:

> I don't know if it was a wise move.. anyway I added this ppa
> https://launchpad.net/~smspillaz/+archive/compiz-dev-raring/, updated
> compiz to the current experimental-not-guaranteed-to-work-don't-use-this
> version and set a hold on compiz package. It seems to work well and this
> nasty bug is gone.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1158267
>
> Title:
> Regression: Broken (click-through) window decoration on some maximized
> windows
>
> Status in Compiz:
> Fix Committed
> Status in Compiz 0.9.10 series:
> Fix Committed
> Status in “compiz” package in Ubuntu:
> Fix Released
>
> Bug description:
> I have an issue with compiz (compiled yesterday from launchpad, so
> 0.9.9.0) on my notebook with openSUSE 12.3 and KDE 4.10.
>
> The window decorations break on maximized windows. I can not click any
> button. Instead the click goes trough to the desktop.
> The windowborder is also broken.
> On the right side of the screen I can see a thin line of my desktop. A
> screenshot is attached.
>
> Funny: This is not only happening to mozilla windows but to some
> others as well: Dolphin and Filezilla for example.
>
> The konsole, however can be maximized without a problem!
>
> I've started the kde4-window-decorator from console. Here is it's
> output:
>
> First: About 30 times this:
> +++++++++++++++++
> QPainter::begin: Paint device returned engine == 0, type: 2
> QPainter::end: Painter not active, aborted
> +++++++++++++++++
>
> Window decorations are working and intact. Then: when I open Firefox
> maximized:
> +++++++++++++++++
> X Error: BadWindow (invalid Window parameter) 3
> Major opcode: 20 (X_GetProperty)
> Resource id: 0x2000142
> +++++++++++++++++
>
> The resource id changes from time to time.
>
> Here are some hardware specs:
>
> Athlon Dualcore QL 64 bit
> Nvidia GeForce 8200M G (with nvidia drivers 310.40)
>
> OpenSUSE 12.3 with latest updates.
> Qt: 4.8.4
> KDE: 4.10.00 "release 1"
>
> The rest of compiz is working great, by the way. A crash here and
> there when activating many plugins but I could configure everything
> quite nicely.
>
> Thank you guys - for this wonderful project.
> I hope we can find the reason for this issue.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/compiz/+bug/1158267/+subscriptions
>

TheUbuntuNoob (emil--1) wrote :

I added the ppa, apt-get update, apt-get dist-upgrade and restarted. It works like a charm(so far), but this is a dev so it's on your own risk if you try it.

Anand (acpadhi-1) wrote :

Yeah dev ppas can be risky/trouble if a stable environment is desired, and
specially because the version reported from them is compiz 0.9.11 i think
in the dev ppa.
Anyone who wants to play safe could take the manual compile way.

I read somewhere in some forum that the version from the dev ppa has some
issue with modal windows. In one of the VMs I tested this a couple of hours
back, for some modal windows, dragging from the title var was sloopy.
sometimes it would work, and some times it would need the left mouse
clicked and held for a while on the title bar to be able to drag them.

On Sun, Sep 29, 2013 at 1:47 PM, TheUbuntuNoob
<email address hidden>wrote:

> I added the ppa, apt-get update, apt-get dist-upgrade and restarted. It
> works like a charm(so far), but this is a dev so it's on your own risk
> if you try it.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1158267
>
> Title:
> Regression: Broken (click-through) window decoration on some maximized
> windows
>
> Status in Compiz:
> Fix Committed
> Status in Compiz 0.9.10 series:
> Fix Committed
> Status in “compiz” package in Ubuntu:
> Fix Released
>
> Bug description:
> I have an issue with compiz (compiled yesterday from launchpad, so
> 0.9.9.0) on my notebook with openSUSE 12.3 and KDE 4.10.
>
> The window decorations break on maximized windows. I can not click any
> button. Instead the click goes trough to the desktop.
> The windowborder is also broken.
> On the right side of the screen I can see a thin line of my desktop. A
> screenshot is attached.
>
> Funny: This is not only happening to mozilla windows but to some
> others as well: Dolphin and Filezilla for example.
>
> The konsole, however can be maximized without a problem!
>
> I've started the kde4-window-decorator from console. Here is it's
> output:
>
> First: About 30 times this:
> +++++++++++++++++
> QPainter::begin: Paint device returned engine == 0, type: 2
> QPainter::end: Painter not active, aborted
> +++++++++++++++++
>
> Window decorations are working and intact. Then: when I open Firefox
> maximized:
> +++++++++++++++++
> X Error: BadWindow (invalid Window parameter) 3
> Major opcode: 20 (X_GetProperty)
> Resource id: 0x2000142
> +++++++++++++++++
>
> The resource id changes from time to time.
>
> Here are some hardware specs:
>
> Athlon Dualcore QL 64 bit
> Nvidia GeForce 8200M G (with nvidia drivers 310.40)
>
> OpenSUSE 12.3 with latest updates.
> Qt: 4.8.4
> KDE: 4.10.00 "release 1"
>
> The rest of compiz is working great, by the way. A crash here and
> there when activating many plugins but I could configure everything
> quite nicely.
>
> Thank you guys - for this wonderful project.
> I hope we can find the reason for this issue.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/compiz/+bug/1158267/+subscriptions
>

Krzysztof (gnom1gnom) wrote :

Upgrade with the ppa works fine, thank you!

Lex Berezhny (lex-c) wrote :

This is happening for me in Ubuntu 13.10 with compiz 0.9.10+13.10.20130927.1-0ubuntu1

I hope this will be fixed before final release. It's highly annoying.

@Lex Berezhny,

This is supposed to be fixed already with the Compiz version you have. I can't reproduce the problem in this bug with that version.

Could you tell me exactly what steps you are doing to still hit this issue? Also, please let me know which desktop environment you are using and anything else that may be helpful.

Thanks!

Lex Berezhny (lex-c) wrote :

I did my daily apt-get update & upgrade after making that post and after restarting the system the problem seems to have gone away.

I suppose it's possible some other app was causing this. I mainly just run PyCharm, Chrome, Terminal and the File Manager.

I will post again if it comes back.

@Lex,

Ok, thanks for the update. I'll continue to monitor this bug in case something is amiss.

Lex Berezhny (lex-c) wrote :

Okay, it's happening again.

Is there anything I can do to send you debug information for the windows?

I have two Chromium windows open, one of them has a clickable window frame the other is visible but not clickable.

Also have the file manger open and the window around that is not clickable.

If I open a new File manager or chrome window it works fine.

In fact, I've never had a new window do this, the problem appears later after the window has been resized or I've generally used the app.

@Lex,

So this particular bug is about maximized windows and the decoration not being clickable. Unity is not affected since the decoration is hidden when a window is maximized and uses the Panel instead.

1. Are the windows displaying this issue maximized?
2. Are you using Unity? If not, what is your desktop environment?

Lex Berezhny (lex-c) wrote :

When I install Ubuntu I just use the defaults for everything. There is no customization just stock Unity.

The problem is for non-maximized windows. I can still access the Unity menu at the top for the application but I can no longer drag, resize or in any way click on any part of the frame. The frame around the window is visible but when you click on it the click goes through it to the underlying application.

Lex Berezhny (lex-c) wrote :

It's almost as if Unity thinks the window IS maximized and disables the frame but in fact the window is not maximized. That might be a good place to start looking for possible bugs?

Lex Berezhny (lex-c) wrote :

I am able to access the accessibility menu with Alt-Space and this lets me Maximize, Minimize and even resize and drag the window.

But no matter what I do the frame is still not clickable (the click event falls through to underlying windows).

When the window is Maximized then I am able to use the Close/Minimize/Un-maximize button. Of course as soon as it un-maximizes i lose access to the frame again.

Lex Berezhny (lex-c) wrote :

In this screenshot you can see the mouse pointer is over the maximize button but the button is not highlighted to show focus.

If i click with the mouse instead of maximizing I get focus to the terminal application running below that window.

@Lex,

The issue you're seeing is different than what is in this bug. Could you please open a new bug using "apport-bug compiz"? I'll keep an eye out for that bug report and we can go from there.

Thanks!

Dario lime (limee) wrote :

Sorry if this comment is useless, but seriously this bug is still affecting Ubuntu Gnome Classic and it's not fixed like it's reported.
It's also useless that I say that the OS is pretty unusable until it's fixed...

Felix Moreno (felix-justdust) wrote :

Yes this bug is still present in ubuntu 13.04 but fixed in ubuntu 13.10... but 13.10 has other bugs so i can upgrade :( like keyboard not working if partition is encrypted...

Doug Barton (dougb) wrote :

I updated to 13.10 a while back and have run into new problems with this fix.

First, if I continue to run emerald with compiz in xubuntu every time a window is closed and then reopened it grows a few pixels both horizontally and vertically. Switching back to gtk-window-decorator solves this problem, but it's not as nice. :)

The other problem is the opposite of what was happening before. Windows that would usually have opened up maximized ignore the minimize window control produced by gtk-window-decorator, but they can be minimized if I right-click on the icon in the window buttons tray and choose minimize.

Anyone else seeing this kind of behavior?

Ryan Tandy (rtandy) wrote :

On Fri, Jan 10, 2014 at 11:03 PM, Doug Barton <email address hidden> wrote:
> First, if I continue to run emerald with compiz in xubuntu every time a
> window is closed and then reopened it grows a few pixels both
> horizontally and vertically. Switching back to gtk-window-decorator
> solves this problem, but it's not as nice. :)

Interesting that you should mention this. Sounds a lot like bug
#1241767
. I mentioned gnome-terminal when I filed that one but it
affects other programs too. It's more easily noticed with
gnome-terminal because it grows an entire row of text rather than a
few pixels but I find myself resizing Thunderbird and Rhythmbox every
few days as well. I am running gtk-window-decorator though...

> The other problem is the opposite of what was happening before. Windows
> that would usually have opened up maximized ignore the minimize window
> control produced by gtk-window-decorator, but they can be minimized if I
> right-click on the icon in the window buttons tray and choose minimize.
>
> Anyone else seeing this kind of behavior?

I haven't seen anything like that.

Displaying first 40 and last 40 comments. View all 133 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions